def lunar_add(a: str, b: str) -> str:
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    result = []
    for digit_a, digit_b in zip(a, b):
        result.append(str(max(int(digit_a), int(digit_b))))

    return ''.join(result)


def lunar_multiplication(a: str, b: str) -> str:
    # Убедимся, что a - это меньшее или равное по длине число
    if len(a) > len(b):
        a, b = b, a

    # Список для хранения промежуточных результатов
    intermediate_results = []

    # Умножаем каждую цифру из a на все цифры из b
    for i in range(len(a)):
        current_result = []
        for j in range(len(b)):
            # Умножаем цифры и добавляем к текущему результату с учетом позиции
            current_result.append(str(min(int(a[i]), int(b[j]))))
        # Преобразуем текущий результат в строку и добавляем нули в конце
        intermediate_results.append(''.join(current_result) + '0' * (len(a)-i-1))

    # Суммируем все промежуточные результаты
    final_result = '0'
    for result in intermediate_results:
        final_result = lunar_add(final_result, result)

    return final_result


a = input().strip()
b = input().strip()


lunar_sum = lunar_add(a, b)
lunar_product = lunar_multiplication(a, b)

print(lunar_sum, end = ' ')
print(lunar_product)
